# Kubernetes Workload

This page describes the Optimization Pack for the Kubernetes Workload component type.

## Metrics

| Name                           | Unit       | Description                                               |
| ------------------------------ | ---------- | --------------------------------------------------------- |
| k8s\_workload\_desired\_pods   | pods       | Number of desired pods per workload                       |
| k8s\_workload\_running\_pods   | pods       | The number of running pods per workload                   |
| k8s\_workload\_ready\_pods     | pods       | The number of ready pods per workload                     |
| k8s\_workload\_cpu\_used       | millicores | The total amount of CPUs used by the entire workload      |
| k8s\_workload\_memory\_used    | bytes      | The total amount of memory used by the entire workload    |
| k8s\_workload\_cpu\_request    | millicores | The total amount of CPUs requests for the workload        |
| k8s\_workload\_cpu\_limit      | millicores | The total amount of CPUs limits for the entire workload   |
| k8s\_workload\_memory\_request | millicores | The total amount of memory requests for the workload      |
| k8s\_workload\_memory\_limit   | millicores | The total amount of memory limits for the entire workload |

## Parameters

| Name                    | Unit    | Type | Default Value | Domain       | Restart | Description                              |
| ----------------------- | ------- | ---- | ------------- | ------------ | ------- | ---------------------------------------- |
| k8s\_workload\_replicas | integer | pods | `1`           | `0` → `1024` | yes     | Number of desired pods in the deployment |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/kubernetes-pack/kubernetes-workload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
